## node-file-entry-cache 5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1

=== debian/changelog ===
node-file-entry-cache (5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1-4) unstable; urgency=medium

  * mention bug number in lintian override
  * fix cleanup after build;
    closes: Bug#943522, thanks to Andreas Beckmann
  * update watch file: Tighten usage header
  * fix and extend to check all testsuites;
    add patch 2002 to avoid node module glob-expand
    (use glob instead);
    build-depend on node-del node-glob
  * fix clean generated docs
  * avoid eslint check during build for now
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 13:40:09 +0100

node-file-entry-cache (5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1-3) experimental; urgency=medium

  * Fix version number for bundled packages.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 23:01:21 +0200

node-file-entry-cache (5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1-2) experimental; urgency=medium

  * Add (superficial) autopkgtests.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 22:17:02 +0200

node-file-entry-cache (5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1-1) experimental; urgency=low

  * Initial release.
    Closes: Bug#942530.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Oct 2019 19:53:36 +0200
