## node-file-entry-cache 6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1

=== debian/changelog ===
node-file-entry-cache (6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Update lintian override info format in d/source/lintian-overrides on line
    2-3.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 01 Dec 2022 09:57:38 +0000

node-file-entry-cache (6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Add ctype=nodejs to component(s)
  * Fix test for current eslint (Closes: #1005162)

 -- Yadd <yadd@debian.org>  Tue, 08 Feb 2022 10:15:12 +0100

node-file-entry-cache (6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1-3) unstable; urgency=medium

  * fix install documentation files
  * update copyright info:
    + use Reference field (not License-Reference);
      add lintian overrides
    + simplify source helper script copyright-check
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Oct 2021 13:36:53 +0200

node-file-entry-cache (6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 unused lintian overrides.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 15 Sep 2021 23:28:24 +0100

node-file-entry-cache (6.0.0+~3.0.4+~2.0.0+~1.0.0+~2.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Debian Janitor ]
  * set upstream metadata fields:
    Bug-Database Bug-Submit
  * set Multi-Arch: foreign

  [ Jonas Smedegaard ]
  * copyright:
    + fix a Source URL
    + update coverage
  * use debhelper compatibility level 13 (not 12)
  * improve suppressing color in build-time tests
  * declare compliance with Debian Policy 4.5.1
  * modernize source script copyright-check
  * update patches
  * update build routines

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Dec 2020 05:49:43 +0100

node-file-entry-cache (5.0.1+~2.0.1+~2.0.0+~1.0.0+~2.0.1-5) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * drop obsolete lintian override
    regarding debhelper compatibility level 10
  * check with eslint as build test;
    build-depend on eslint

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Mar 2020 17:03:03 +0100
