=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper,
-# eslint <!nocheck>,
+ debhelper-compat (= 13),
+ eslint <!nocheck>,
  jq,
  mocha <!nocheck>,
  node-chai <!nocheck>,
@@ -15,7 +15,7 @@
  node-glob <!nocheck>,
  node-js-yaml <!nocheck>,
  pandoc <!nodoc>,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/royriojas/file-entry-cache
 Vcs-Browser: https://salsa.debian.org/js-team/node-file-entry-cache
 Vcs-Git: https://salsa.debian.org/js-team/node-file-entry-cache.git
@@ -62,11 +62,12 @@
 Package: node-write
 Architecture: all
 Depends:
- nodejs,
+ nodejs:any,
  ${misc:Depends},
 Provides:
  node-add-filename-increment,
  node-strip-filename-increment,
+Multi-Arch: foreign
 Description: convenience wrapper for Node.js fs methods
  Write data to a file,
  replacing the file if it already exists
