=== debian/rules ===
--- 
+++ 
@@ -3,27 +3,32 @@
 include /usr/share/dpkg/pkg-info.mk
 
 # generate documentation unless nodoc requested
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 DOCS_md = $(wildcard README.md X*/README.md)
 DOCS = $(DOCS_md:.md=.html) $(DOCS_md:.md=.txt)
 CHANGELOGS_md = $(wildcard changelog.md X*/changelog.md X*/CHANGELOG.md)
 CHANGELOGS = $(CHANGELOGS_md:.md=.html) $(CHANGELOGS_md:.md=.txt)
+
+ESLINT = NO_COLOR=1 eslint
+MOCHA = NO_COLOR=1 mocha --no-color
+# normalize output with TAP where possible unless terse requested
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+ESLINT += --format tap
+MOCHA += --reporter tap
+else
+ESLINT += --format unix
+MOCHA += --reporter dot
 endif
 
-# normalize output with TAP where possible unless terse requested
-ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
-ESLINT = eslint --format tap
-MOCHA = mocha --reporter tap
-else
-ESLINT = eslint --format unix
-MOCHA = mocha --reporter dot --no-colors
-endif
+# either resolve some files to include, or explicitly exclude
+# 1: include filter, 2: include list, 3: exclude filter
+_get_files_or_exclude = $(strip $(if $(filter $1%,$($2)),\
+ -- $(filter $1%,$($2)),\
+ -X$(or $3,$(patsubst %S,%,$2))))
 
 override_dh_auto_build: $(DOCS) $(CHANGELOGS)
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	$(ESLINT) --no-eslintrc --env es6,node *.js Xflat/**/*.js test/**/*.js
+	$(ESLINT) --no-eslintrc --env es6,node *.js Xflat/**/*.js test/**/*.js
 	mkdir -p debian/node_modules
 	ln --symbolic ../../Xadd debian/node_modules/add-filename-increment
 	ln --symbolic ../../Xflat debian/node_modules/flat-cache
@@ -34,7 +39,6 @@
 	NODE_PATH=debian/node_modules $(MOCHA) Xwrite/test
 	NODE_PATH=debian/node_modules $(MOCHA) Xflat/test/specs
 	NODE_PATH=debian/node_modules $(MOCHA) test/specs
-endif
 
 override_dh_installdocs:
 	dh_installdocs -pnode-file-entry-cache \
