## node-file-entry-cache 6.0.1%2B~3.0.4%2B~2.0.0%2B~1.0.0%2B~2.0.1

=== debian/changelog ===
node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-3build1) resolute; urgency=medium

  * Rebuild against new bootstrapped node-mime libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Dec 2025 09:50:02 +0100

node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-3) unstable; urgency=medium

  * Team upload
  * Port to node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Mon, 22 Dec 2025 23:15:19 +0100

node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with Debian Policy 4.7.2
  * Do not depends of filesystem order

 -- Bastien Roucariès <rouca@debian.org>  Tue, 18 Nov 2025 21:10:28 +0100

node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * update and unfuzz patches,
    and update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2023 08:02:58 +0200
