## node-file-entry-cache 6.0.1%2b~3.0.4%2b~2.0.0%2b~1.0.0%2b~2.0.1

=== debian/changelog ===
node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-5) unstable; urgency=medium

  * Team upload
  * MA: foreign and drop depends nodejs

 -- Bastien Roucariès <rouca@debian.org>  Mon, 29 Dec 2025 11:40:20 +0100

node-file-entry-cache (6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1-4) unstable; urgency=medium

  * Team upload
  * Require node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Dec 2025 00:06:22 +0100
