## node-file-entry-cache 6.0.1+~3.0.4+~2.0.0+~1.0.0+~2.0.1

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  node-glob <!nocheck>,
  node-js-yaml <!nocheck>,
  pandoc <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/royriojas/file-entry-cache
 Vcs-Browser: https://salsa.debian.org/js-team/node-file-entry-cache
 Vcs-Git: https://salsa.debian.org/js-team/node-file-entry-cache.git
@@ -25,8 +25,8 @@
 Architecture: all
 Depends:
  node-flat-cache,
- nodejs,
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Node.js library implementing a simple cache for file metadata
  File-entry-cache is a super simple cache for file metadata,
  useful for process that work on a given series of files
@@ -44,10 +44,10 @@
 Architecture: all
 Depends:
  node-flatted,
- node-rimraf,
+ node-rimraf (>= 4.0.0),
  node-write,
- nodejs,
  ${misc:Depends},
+Multi-Arch: foreign
 Description: Node.js library implementing a simple persistent key/value storage
  Flat-cache is a stupidly simple key/value storage
  using files to persist the data.
@@ -62,7 +62,6 @@
 Package: node-write
 Architecture: all
 Depends:
- nodejs:any,
  ${misc:Depends},
 Provides:
  node-add-filename-increment,
