=== debian/tests/control ===
Test-Command: node -e "
 require('strip-filename-increment');
 require('add-filename-increment');
 require('write');"
Depends:
 node-write, nodejs
Restrictions: superficial

Test-Command: node -e "require('flat-cache');"
Depends:
 node-flat-cache, nodejs
Restrictions: superficial

Test-Command: node -e "require('file-entry-cache');"
Depends:
 node-file-entry-cache, nodejs
Restrictions: superficial
